SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Namespaces
FileListTransferCBInterface.h File Reference
`#include "memoryoverride.h"`
`#include "FileListNodeContext.h"`

Go to the source code of this file.

## Classes

class | SLNet::FileListTransferCBInterface
| Used by FileListTransfer plugin as a callback for when we get a file. More...
struct | SLNet::FileListTransferCBInterface::OnFileStruct
struct | SLNet::FileListTransferCBInterface::FileProgressStruct
struct | SLNet::FileListTransferCBInterface::DownloadCompleteStruct

## Namespaces

namespace | SLNet
| Simple class to send changes between directories. In essence, a simple autopatcher that can be used for transmitting levels, skins, etc.

## Class Documentation

struct SLNet::FileListTransferCBInterface::OnFileStruct

Definition at line 36 of file FileListTransferCBInterface.h.

Class Members
BitSize_t | byteLengthOfThisFile | The amount of data to be downloaded for this file.
unsigned | byteLengthOfThisSet | The total length of the transmitted files for this set, after being uncompressed.
BitSize_t | bytesDownloadedForThisFile | How many bytes of this file has been downloaded.
unsigned | bytesDownloadedForThisSet | The total length, in bytes, downloaded for this set.
FileListNodeContext | context | User data passed to one of the functions in the FileList class. However, on error, this is instead changed to one of the enumerations in the PatchContext structure.
char * | fileData | The data pointed to by the file.
unsigned | fileIndex | The index into the set of files, from 0 to numberOfFilesInThisSet.
char | fileName | The name of the file.
unsigned | numberOfFilesInThisSet | The number of files that are in this set.
RakNetGUID | senderGuid | Who sent this file. Not valid when using TCP, only RakPeer (UDP)
SystemAddress | senderSystemAddress | Who sent this file.
unsigned short | setID | Files are transmitted in sets, where more than one set of files can be transmitted at the same time. This is the identifier for the set, which is returned by FileListTransfer::SetupReceive

struct SLNet::FileListTransferCBInterface::FileProgressStruct

Definition at line 78 of file FileListTransferCBInterface.h.

Class Members

bool

allocateIrIDataChunkAutomatically

Parameters

  [in] | allocateIrIDataChunkAutomatically | If true, then RakNet will hold iriDataChunk for you and return it in OnFile. Defaults to true

unsigned int

dataChunkLength

Parameters

  [out] | dataChunkLength | How many bytes long firstDataChunk and iriDataChunk are

char *

firstDataChunk

Parameters

  [out] | firstDataChunk | The first partLength of the final file. If you store identifying information about the file in the first partLength bytes, you can read them while the download is taking place. If this hasn't arrived yet, firstDataChunk will be 0

char *

iriDataChunk

Parameters

  [out] | iriDataChunk | If the remote system is sending this file using IncrementalReadInterface, then this is the chunk we just downloaded. It will not exist in memory after this callback. You should either store this to disk, or in memory. If it is 0, then the file is smaller than one chunk, and will be held in memory automatically

unsigned int

iriWriteOffset

Parameters

  [out] | iriWriteOffset | Offset in bytes from the start of the file for the data pointed to by iriDataChunk

OnFileStruct *

onFileStruct

Parameters

  [out] | onFileStruct | General information about this file, such as the filename and the first partLength bytes. You do NOT need to save this data yourself. The complete file will arrive normally.

unsigned int

partCount

Parameters

  [out] | partCount | The zero based index into partTotal. The percentage complete done of this file is 100 * (partCount+1)/partTotal

unsigned int

partTotal

Parameters

  [out] | partTotal | The total number of parts this file was split into. Each part will be roughly the MTU size, minus the UDP header and RakNet headers

RakNetGUID

senderGuid

Parameters

  [out] | Who | sent this file. Not valid when using TCP, only RakPeer (UDP)

SystemAddress

senderSystemAddress

Parameters

  [out] | Who | sent this file

struct SLNet::FileListTransferCBInterface::DownloadCompleteStruct

Definition at line 102 of file FileListTransferCBInterface.h.

Class Members
unsigned | byteLengthOfThisSet | The total length of the transmitted files for this set, after being uncompressed.
unsigned | numberOfFilesInThisSet | The number of files that are in this set.
RakNetGUID | senderGuid | Who sent this file. Not valid when using TCP, only RakPeer (UDP)
SystemAddress | senderSystemAddress | Who sent this file.
unsigned short | setID | Files are transmitted in sets, where more than one set of files can be transmitted at the same time. This is the identifier for the set, which is returned by FileListTransfer::SetupReceive